# 1 "piclfrutree.info" 








































VERSION 1.0
NODE frutree picl
    NODE chassis fru
	



    	PROP ViewPoints string r 0 "front rear top"
        NODE fan-tray fru
        ENDNODE
        NODE power-supply fru
        ENDNODE
    ENDNODE
ENDNODE

name:/frutree/chassis
# 1 "./system-board.info" 1









NODE system-board fru
    NODE pci-slot location
    	PROP Label string r 0 "PCI1"
    ENDNODE
    NODE pci-slot location
    	PROP Label string r 0 "PCI2"
    ENDNODE
    NODE pci-slot location
    	PROP Label string r 0 "PCI3"
    ENDNODE
    NODE cpu-slot location
    	PROP Slot uint r 4 0
    	PROP Label string r 0 "0"
    ENDNODE
    NODE mem-slot location
    	PROP Slot uint r 4 0
    	PROP Label string r 0 "DIMM0"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 1
    	PROP Label string r 0 "DIMM1"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 2
    	PROP Label string r 0 "DIMM2"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 3
    	PROP Label string r 0 "DIMM3"
    ENDNODE
ENDNODE




name:/platform/memory
PROP TransferSize uint r 4 64




name:/frutree/chassis/system-board/mem-slot?Label=DIMM0
REFNODE mem-module fru WITH /platform/pci/pmu/i2c/dimm?UnitAddress=0,a0

name:/frutree/chassis/system-board/mem-slot?Label=DIMM1
REFNODE mem-module fru WITH /platform/pci/pmu/i2c/dimm?UnitAddress=0,a2

name:/frutree/chassis/system-board/mem-slot?Label=DIMM2
REFNODE mem-module fru WITH /platform/pci/pmu/i2c/dimm?UnitAddress=0,a4

name:/frutree/chassis/system-board/mem-slot?Label=DIMM3
REFNODE mem-module fru WITH /platform/pci/pmu/i2c/dimm?UnitAddress=0,a6




name:/frutree/chassis/system-board/mem-slot?Label=DIMM0/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci/pmu/i2c/dimm?UnitAddress=0,a0

name:/frutree/chassis/system-board/mem-slot?Label=DIMM1/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci/pmu/i2c/dimm?UnitAddress=0,a2

name:/frutree/chassis/system-board/mem-slot?Label=DIMM2/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci/pmu/i2c/dimm?UnitAddress=0,a4

name:/frutree/chassis/system-board/mem-slot?Label=DIMM3/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci/pmu/i2c/dimm?UnitAddress=0,a6




name:/platform/pci/pmu/i2c/dimm?UnitAddress=0,a0
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM0/mem-module

name:/platform/pci/pmu/i2c/dimm?UnitAddress=0,a2
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM1/mem-module

name:/platform/pci/pmu/i2c/dimm?UnitAddress=0,a4
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM2/mem-module

name:/platform/pci/pmu/i2c/dimm?UnitAddress=0,a6
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM3/mem-module




name:/frutree/chassis/system-board/pci-slot?Label=PCI1
REFNODE pci-card fru WITH _class:/upa/pci/pci/picl?DeviceID=2

name:/frutree/chassis/system-board/pci-slot?Label=PCI2
REFNODE pci-card fru WITH _class:/upa/pci/pci/picl?DeviceID=1

name:/frutree/chassis/system-board/pci-slot?Label=PCI3
REFNODE pci-card fru WITH _class:/upa/pci/pci/picl?DeviceID=0




name:/frutree/chassis/system-board/cpu-slot?Slot=0
REFNODE cpu-module fru WITH _class:/upa/cpu?ID=0




name:/platform
REFPROP _fru_parent /frutree/chassis/system-board




_class:/upa/cpu?ID=0
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module




name:/frutree/chassis/system-board
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci/ebus/motherboard




_class:/upa/pci/pmu/i2c/temperature-device
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module




name:/platform/memory-controller/memory-module?ID=0
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM0/mem-module

name:/platform/memory-controller/memory-module?ID=1
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM1/mem-module

name:/platform/memory-controller/memory-module?ID=2
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM2/mem-module

name:/platform/memory-controller/memory-module?ID=3
REFPROP _fru_parent /frutree/chassis/system-board/mem-slot?Label=DIMM3/mem-module




_class:/upa/pci/pci/picl?DeviceID=2
REFPROP _fru_parent /frutree/chassis/system-board/pci-slot?Label=PCI1/pci-card

_class:/upa/pci/pci/picl?DeviceID=1
REFPROP _fru_parent /frutree/chassis/system-board/pci-slot?Label=PCI2/pci-card

_class:/upa/pci/pci/picl?DeviceID=0
REFPROP _fru_parent /frutree/chassis/system-board/pci-slot?Label=PCI3/pci-card

# 58 "piclfrutree.info" 2

